Bug 252382 - devel/raylib: Update to 3.5.0
Summary: devel/raylib: Update to 3.5.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Juraj Lutter
URL: https://github.com/raysan5/raylib/blo...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2021-01-03 11:50 UTC by Martin Filla
Modified: 2021-01-13 13:43 UTC (History)
1 user (show)

See Also:


Attachments
raylib.patch (1.13 KB, patch)
2021-01-03 11:50 UTC, Martin Filla
no flags Details | Diff
raylib.patch (1.30 KB, patch)
2021-01-03 16:35 UTC, Martin Filla
freebsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Filla 2021-01-03 11:50:07 UTC
Created attachment 221240 [details]
raylib.patch

Update raylib to version 3.5.0
Comment 1 Martin Filla 2021-01-03 16:35:47 UTC
Created attachment 221246 [details]
raylib.patch
Comment 2 Martin Filla 2021-01-03 16:36:34 UTC
[0/1] cd /wrkdirs/usr/ports/devel/raylib/work/.build && /usr/local/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
-- Install configuration: "Release"
-- Installing: /wrkdirs/usr/ports/devel/raylib/work/stage/usr/local/lib/libraylib.so.3.5.0
-- Installing: /wrkdirs/usr/ports/devel/raylib/work/stage/usr/local/lib/libraylib.so.351
-- Set runtime path of "/wrkdirs/usr/ports/devel/raylib/work/stage/usr/local/lib/libraylib.so.3.5.0" to "/usr/local/lib"
-- Installing: /wrkdirs/usr/ports/devel/raylib/work/stage/usr/local/lib/libraylib.so
-- Installing: /wrkdirs/usr/ports/devel/raylib/work/stage/usr/local/include/raylib.h
-- Installing: /wrkdirs/usr/ports/devel/raylib/work/stage/usr/local/lib/pkgconfig/raylib.pc
-- Installing: /wrkdirs/usr/ports/devel/raylib/work/stage/usr/local/lib/cmake/raylib/raylib-config-version.cmake
-- Installing: /wrkdirs/usr/ports/devel/raylib/work/stage/usr/local/lib/cmake/raylib/raylib-config.cmake
-- Up-to-date: /wrkdirs/usr/ports/devel/raylib/work/stage/usr/local/include/raylib.h
-- Installing: /wrkdirs/usr/ports/devel/raylib/work/stage/usr/local/include/rlgl.h
-- Installing: /wrkdirs/usr/ports/devel/raylib/work/stage/usr/local/include/physac.h
-- Installing: /wrkdirs/usr/ports/devel/raylib/work/stage/usr/local/include/raymath.h
-- Installing: /wrkdirs/usr/ports/devel/raylib/work/stage/usr/local/include/raudio.h
install  -m 0644	/wrkdirs/usr/ports/devel/raylib/work/raylib-3.5.0/src/raylib.h  /wrkdirs/usr/ports/devel/raylib/work/raylib-3.5.0/src/raymath.h  /wrkdirs/usr/ports/devel/raylib/work/raylib-3.5.0/src/physac.h   /wrkdirs/usr/ports/devel/raylib/work/stage/usr/local/include
====> Compressing man pages (compress-man)
===========================================================================
====> Running Q/A tests (stage-qa)
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
===> No pkg-plist issues found (check-plist)
=>> Checking for staging violations... done
=======================<phase: package        >============================
===>  Building package for raylib-3.5.0
===========================================================================
=>> Recording filesystem state for preinst... done
=======================<phase: install        >============================
===>  Installing for raylib-3.5.0
===>  Checking if raylib is already installed
===>   Registering installation for raylib-3.5.0
[121amd64-default] Installing raylib-3.5.0...
===========================================================================
=>> Checking shared library dependencies
 0x00000001 NEEDED               Shared library: [libGL.so.1]
 0x00000001 NEEDED               Shared library: [libGLU.so.1]
 0x00000001 NEEDED               Shared library: [libc.so.7]
 0x00000001 NEEDED               Shared library: [libglfw.so.3]
 0x00000001 NEEDED               Shared library: [libm.so.5]
 0x00000001 NEEDED               Shared library: [libthr.so.3]
=======================<phase: deinstall      >============================
===>  Deinstalling for raylib
===>   Deinstalling raylib-3.5.0
Updating database digests format: .......... done
Checking integrity... done (0 conflicting)
Deinstallation has been requested for the following 1 packages (of 0 packages in the universe):

Installed packages to be REMOVED:
	raylib: 3.5.0

Number of packages to be removed: 1

The operation will free 1 MiB.
[121amd64-default] [1/1] Deinstalling raylib-3.5.0...
[121amd64-default] [1/1] Deleting files for raylib-3.5.0: .......... done
===========================================================================
=>> Checking for extra files and directories
[00:00:34] Installing from package
[121amd64-default] Installing raylib-3.5.0...
[121amd64-default] Extracting raylib-3.5.0: .......... done
[00:00:34] Cleaning up
===>  Cleaning for raylib-3.5.0
[00:00:34] Deinstalling package
Updating database digests format: . done
Checking integrity... done (0 conflicting)
Deinstallation has been requested for the following 1 packages (of 0 packages in the universe):

Installed packages to be REMOVED:
	raylib: 3.5.0

Number of packages to be removed: 1

The operation will free 1 MiB.
[121amd64-default] [1/1] Deinstalling raylib-3.5.0...
[121amd64-default] [1/1] Deleting files for raylib-3.5.0: .......... done
build of devel/raylib | raylib-3.5.0 ended at Sun Jan  3 17:33:52 CET 2021
build time: 00:00:29
[00:00:34] Logs: /data/logs/bulk/121amd64-default/2021-01-03_17h33m17s
[00:00:34] Cleaning up
121amd64-default: removed
121amd64-default-n: removed
[00:00:34] Unmounting file systems
Comment 3 Juraj Lutter freebsd_committer 2021-01-07 21:54:04 UTC
review D28029
Comment 4 commit-hook freebsd_committer 2021-01-11 21:33:26 UTC
A commit references this bug:

Author: otis
Date: Mon Jan 11 21:32:36 UTC 2021
New revision: 561278
URL: https://svnweb.freebsd.org/changeset/ports/561278

Log:
  devel/raylib: Update to 3.5.0

  Changelog at https://github.com/raysan5/raylib/blob/3.5.0/CHANGELOG

  And while here, also move PLIST_FILES to pkg-plist and reformat
  Makefile according to portfmt and portclippy.

  PR:		252382
  Submitted by:	Martin Filla <freebsd@sysctl.cz> (maintainer)
  Reviewed by:	swills (mentor)
  Approved by:	swills (mentor)
  Differential Revision:	https://reviews.freebsd.org/D28029

Changes:
  head/devel/raylib/Makefile
  head/devel/raylib/distinfo
  head/devel/raylib/pkg-plist